summaryrefslogtreecommitdiffstats
path: root/extra/source/emacspeak
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/emacspeak')
-rwxr-xr-xextra/source/emacspeak/emacspeak.SlackBuild4
-rw-r--r--extra/source/emacspeak/emacspeak.tcl8.6.diff (renamed from extra/source/emacspeak/emacspeak.tcl8.5.diff)6
2 files changed, 5 insertions, 5 deletions
diff --git a/extra/source/emacspeak/emacspeak.SlackBuild b/extra/source/emacspeak/emacspeak.SlackBuild
index f6d047731..151bbd99f 100755
--- a/extra/source/emacspeak/emacspeak.SlackBuild
+++ b/extra/source/emacspeak/emacspeak.SlackBuild
@@ -74,8 +74,8 @@ find . -perm 511 -exec chmod 755 {} \;
find . -perm 711 -exec chmod 755 {} \;
find . -perm 555 -exec chmod 755 {} \;
-# Patch to use Tcl 8.5:
-zcat $CWD/emacspeak.tcl8.5.diff.gz | patch -p1 || exit 1
+# Patch to use Tcl 8.6:
+zcat $CWD/emacspeak.tcl8.6.diff.gz | patch -p1 || exit 1
# Compile the main program against Emacs:
make config
diff --git a/extra/source/emacspeak/emacspeak.tcl8.5.diff b/extra/source/emacspeak/emacspeak.tcl8.6.diff
index 41a003e23..9cfe03744 100644
--- a/extra/source/emacspeak/emacspeak.tcl8.5.diff
+++ b/extra/source/emacspeak/emacspeak.tcl8.6.diff
@@ -5,7 +5,7 @@
LABEL=1.1
DIST=software-dtk-$(LABEL)
-TCL_VERSION=8.4
-+TCL_VERSION=8.5
++TCL_VERSION=8.6
CFLAGS+=-O3 -fpic -pedantic -ansi -Wall -I/usr/include/tcl$(TCL_VERSION)
CPPFLAGS+=-DSTDC_HEADERS=1 -Dclock_t=long -DRETSIGTYPE=void
INSTALL=install
@@ -16,7 +16,7 @@
LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-espeak
-TCL_VERSION = 8.4
-+TCL_VERSION = 8.5
++TCL_VERSION = 8.6
TCL_INCLUDE= /usr/include/tcl$(TCL_VERSION)
CXXFLAGS+= -g -O2 -fPIC -DPIC -pedantic -ansi -Wall -Wno-long-long -I$(TCL_INCLUDE)
@@ -27,7 +27,7 @@
LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-outloud
-TCL_VERSION=8.4
-+TCL_VERSION=8.5
++TCL_VERSION=8.6
TCL_INCLUDE=/usr/include/tcl$(TCL_VERSION)
#CFLAGS+= -g -O2 -fPIC -DPIC -pedantic -ansi -Wall -Wno-long-long -I$(TCL_INCLUDE)
CFLAGS+= -m32 -g -O2 -fPIC -DPIC -pedantic -ansi -Wall -Wno-long-long -I$(TCL_INCLUDE)